### File

`packages/components/eui-sidebar-menu/eui-sidebar-menu.component.ts`

### Metadata

changeDetection | `ChangeDetectionStrategy.Default`
encapsulation | `ViewEncapsulation.None`
selector | `eui-sidebar-menu`
imports | `EUI_MENU`
templateUrl | `./eui-sidebar-menu.component.html`
styleUrl | `./eui-sidebar-menu.scss`

### Index

###### Properties
string
###### Inputs
expandAllItems externalTarget filterValue fragmentId hasBoldRootLevel hasCollapsedInitials hasFilter hasIcons hasTooltip hasTooltipOnExpanded isCollapsed items searchFilterLabel style
###### Outputs
itemClick menuClick
###### HostBindings
class

### Inputs

expandAllItems
Type : `boolean`
Default value : `false`

externalTarget
Type : `string`

filterValue
Type : `string`
Default value : `''`

fragmentId
Type : `string`

hasBoldRootLevel
Type : `boolean`
Default value : `false`

hasCollapsedInitials
Type : `boolean`
Default value : `false`

hasFilter
Type : `boolean`
Default value : `false`

hasIcons
Type : `boolean`
Default value : `false`

hasTooltip
Type : `boolean`
Default value : `true`

hasTooltipOnExpanded
Type : `boolean`
Default value : `false`

isCollapsed
Type : `boolean`
Default value : `false`

items
Type : `EuiMenuItem[]`
Default value : `[]`

searchFilterLabel
Type : `string`

style
Type : `string`
Default value : `''`

### Outputs

itemClick
Type : `EventEmitter<EuiMenuItem>`

menuClick
Type : `EventEmitter<boolean>`

### HostBindings

class
Type : `string`
Default value : `'eui-sidebar-menu'`

### Properties

string
Type : `string`
Default value : `'eui-sidebar-menu'`
Decorators : `@HostBinding('class')`

# results matching ""

# No results matching ""